org.apache.hadoop.yarn.webapp.hamlet

## Class Hamlet.STYLE<T extends HamletSpec._>

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.hamlet.HamletImpl.EImp<T>
  - - org.apache.hadoop.yarn.webapp.hamlet.Hamlet.STYLE<T>

- All Implemented Interfaces:
    HamletSpec._, HamletSpec._Child, HamletSpec._Content, HamletSpec.I18nAttrs, HamletSpec.STYLE
  Enclosing class:
    Hamlet

      public class Hamlet.STYLE<T extends HamletSpec._>
      extends HamletImpl.EImp<T>
      implements HamletSpec.STYLE

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `STYLE(String name, T parent, EnumSet<HamletImpl.EOpt> opts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Hamlet.STYLE<T>` | `_(Object... lines)` Content of the element
    `Hamlet.STYLE<T>` | `$dir(HamletSpec.Dir value)` direction for weak/neutral text
    `Hamlet.STYLE<T>` | `$lang(String value)` language code
    `Hamlet.STYLE<T>` | `$media(EnumSet<HamletSpec.Media> value)` designed for use with these media
    `Hamlet.STYLE<T>` | `$title(String value)` advisory title
    `Hamlet.STYLE<T>` | `$type(String value)` content type of style language

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet.HamletImpl.EImp

      `_, _endTag, _inline, _p, _pre, _v, addAttr, addAttr, addMediaAttr, addRelAttr, closeAttrs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Child

      `_`

- - ### Constructor Detail

    - #### STYLE

          public STYLE(String name,
                       T parent,
                       EnumSet<HamletImpl.EOpt> opts)

  - ### Method Detail

    - #### $type

          public Hamlet.STYLE<T> $type(String value)

      Description copied from interface: `HamletSpec.STYLE`
      content type of style language
      Specified by:
        `$type` in interface `HamletSpec.STYLE`
      Returns:
        the current element builder

    - #### $media

          public Hamlet.STYLE<T> $media(EnumSet<HamletSpec.Media> value)

      Description copied from interface: `HamletSpec.STYLE`
      designed for use with these media
      Specified by:
        `$media` in interface `HamletSpec.STYLE`
      Returns:
        the current element builder

    - #### $title

          public Hamlet.STYLE<T> $title(String value)

      Description copied from interface: `HamletSpec.STYLE`
      advisory title
      Specified by:
        `$title` in interface `HamletSpec.STYLE`
      Returns:
        the current element builder

    - #### $lang

          public Hamlet.STYLE<T> $lang(String value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      language code
      Specified by:
        `$lang` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the code
      Returns:
        the current element builder

    - #### $dir

          public Hamlet.STYLE<T> $dir(HamletSpec.Dir value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      direction for weak/neutral text
      Specified by:
        `$dir` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the `HamletSpec.Dir` value
      Returns:
        the current element builder

    - #### _

          public Hamlet.STYLE<T> _(Object... lines)

      Description copied from interface: `HamletSpec._Content`
      Content of the element
      Specified by:
        `_` in interface `HamletSpec._Content`
      Parameters:
        `lines` - of content
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.